﻿@using NacGroup.Module.Core.Services

@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var logo = globalConfig.GlobalThemeConfig["Data"][0]["Src"];
    ViewData["MetaTitle"] = "Order Status";
    Layout = "_Layoutv2";
}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/main.css" rel="stylesheet" />
    <style>
        .table {
            font-size: 20px;
            text-transform: uppercase
        }

            .table > thead > tr > th,
            .table > tbody > tr > th,
            .table > tfoot > tr > th,
            .table > thead > tr > td,
            .table > tbody > tr > td,
            .table > tfoot > tr > td {
                padding: 15px;
                font-weight: bold;
            }

        .logo {
            display: block;
            padding: 10px 0;
            text-align: center;
        }

            .logo img {
                height: 50px;
            }

        .label {
            display: inline-block;
            padding: 5px 10px;
            color: #fff;
            border-radius: 4px
        }

        .label-default {
            background: #f55c00
        }

        .label-success {
            background: #119011
        }

        .label-info {
            background: #777
        }

        .label-danger {
            background: #777
        }

        #loading {
            position: fixed;
            background-color: transparent;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            display: none;
            z-index: 9999;
        }

            #loading svg {
                position: absolute;
                top: 50%;
                left: 50%;
                -webkit-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
            }

                #loading svg path {
                    fill: #07f3f7;
                }
    </style>
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/cart-page.min.js"></script>
    <script src="/js/orderstatus.js"></script>
}
<main id="product-page">
    <p class="text-center p-2">
        <a class="logo" href="/">
            <img src="@logo" />
        </a>
    </p>
    <div id="app">
    </div>
</main>
